<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>JavaScript HW 18</title>
</head>
<body>
<script>

    function objectToClone(obj) {
        let newObject = {};
        for (let key in obj) {
            if (typeof obj[key] === "object") {
                newObject[key] = objectToClone(obj[key]);
            } else {
                newObject[key] = obj[key];
            }
        }
        return newObject;
    }

    let defaultObject = {
        brand: "Volkswagen",
        model: {
            model_: "Passat",
            submodel: "Alltrack",
        },
        equipment: {
            engine: {
                capacity: "2.0",
                fuel: "diesel",
                turbine: "true",
            },
            transmission: "MT",
            options: {
                innerStyling: {
                    package: "ambition",
                    color_interior: "dimgrey",
                },
                color_body: "darkslategrey",
            },
        },
    };

    let clonedObject = objectToClone(defaultObject);
    console.log(clonedObject);

</script>
</body>
</html>